// JavaScript Document
var web_doc_alias = '';
$(document).ready(function(){
	showTable();
	searchOrderList();
	web_doc_alias = $('#web_doc_alias').val();

	$('#btnBack').on('click',function(){
		$('#prgname').val('A020');
		$('#param1').val('0');
		$('#menuForm').submit();
	});

	$('#btnNewOrder').on('click',function(){
		$('#prgname').val('A110');
		$('#param1').val('A130');
		$('#param2').val('0');
		$('#menuForm').submit();
	});

	$(document).on( 'click', '#table1 a', function () {
        var btn_name = $(this).attr('btn-name');
        var target_no = $(this).attr('target-no');
        var status_cd = $(this).attr('status-cd');
		var msg_info = $(this).attr('msg-info');
		if (btn_name){
			if (btn_name == "shipname") {
				$('#prgname2').val("A133");
				$('#param2_1').val("A130");
				$('#param2_2').val(target_no);
				$('#param2_3').val("0");
				$('#menuOpen').submit();
			} else if (btn_name == "henko") {
				if (status_cd == "1"){
					$('#prgname').val("A126");
					$('#param1').val("A130");
					$('#param2').val("1");
					$('#param3').val(target_no);
					$('#menuForm').submit();
				}else if(status_cd == "8"){
					$('#prgname').val("A133");
					$('#param1').val("A130");
					$('#param2').val(target_no);
					$('#param3').val("3");
					$('#menuForm').submit();
				}else if(status_cd == "9"){
					$('#prgname').val("A125");
					$('#param1').val("A130");
					$('#param2').val("1");
					$('#param3').val(target_no);
					$('#menuForm').submit();
				} else {
				}
			} else if (btn_name == "tuika") {
				$('#prgname').val("A121");
				$('#param1').val("A130");
				$('#param2').val("1");
				$('#param3').val(target_no);
				$('#menuForm').submit();
			} else if (btn_name == "sonota") {
				cmAlert('不受理理由',msg_info);
			} else if( btn_name == 'delete'){
				modalAlert('1','確認','削除しますか？',deleteKariOrder,target_no);
			}	else {
			} 
		}
    } );
});

function showTable(){
	// datatableの設定を変更
	varTable1 =	$("#table1").DataTable({
		dom:"<'row'<'col-sm-6'i><'col-sm-6 right mb-1'f>>" +
            "<'row'<'col-sm-12'tr>>" +
            "<'row'<'col-sm-6 mt-1'l><'col-sm-6 right mt-1'p>>",
		'paging'      :true,
		'pageLength'  :10,
		'lengthChange':true,
		'searching'   :true,
		'ordering'    :true,
		'info'        :true,
		'autoWidth'   :false,
		'scrollX'     :true,
		'scrollY'     :true,
		'order'       :[[0,'asc']],
		'columns'     :[
		{data:"date"},
		{data:"time"},
		{data:"jyosen"},
		{data:"gesen"},
		{data:"shipname",width: "20%"},
		{data:"tanto"},
		{data:"henko",width: "10%",className:"dt-body-center"},
		{data:"tuika",width: "10%",className:"dt-body-center"},
		{data:"sonota",width: "12%"}
		],
		"language": {
			"url": "../webnais/lib/DataTables/plug-ins/japanese.json"
		}
	});
};

function searchOrderList(){
	var param = {
		'appname': nasiappname,
		'prgname':'A131',
		'param1': nasiappname,
		'param2': $('#user').val(),
		'arguments':'param1,param2'
	};
	var retXml = ajaxFunction(param);
	var kekka = $(retXml).find('ret').text();
	var kensu = Number($(retXml).find('kensu').text());
	if(kekka === 'I001'){
		if (kensu > 0){
			$("#ichiran").show();
			$(retXml).find('lines').each(function(){
				var status = $(this).find('status').text();
				var status_cd = $(this).find('status_cd').text();
				var kyodo_date = $(this).find('kyodo_date').text();
				var kyodo_time = $(this).find('kyodo_time').text();
				var k_order_no = $(this).find('k_order_no').text();
				var ship_name = $(this).find('ship_name').text();
				var tanto = $(this).find('tanto').text();
				var josen = $(this).find('josen').text();
				var gesen = $(this).find('gesen').text();
				var info = $(this).find('info').text();
				var henko = $(this).find('henko').text();
				var henko_link = "";
				if (henko == "編集" || henko == "変更" || henko == "再編集") {
					henko_link = '<a href="#" btn-name="henko" target-no="' + k_order_no +'" status-cd="' + status_cd + '">' + henko + '</a>';
				} else {
					henko_link = henko;
				}
				var delete_link = "";
				if (henko == "編集") {
					delete_link = '<a href="#" btn-name="delete" target-no="' + k_order_no +'" status-cd="' + status_cd + '">' + '削除' + '</a>';
				}
				var tuika = $(this).find('tuika').text();
				var sonota = $(this).find('sonota').text();
				var sonota_link =""
				if (sonota == "不受理理由確認") {
					sonota_link = '<a href="#" btn-name="sonota" msg-info="' + info +'">' + sonota + '</a>';
				} else {
					sonota_link = sonota;
				}

				varTable1.row.add({
					date:kyodo_date
					,time:kyodo_time
					,jyosen:josen
					,gesen:gesen
					,shipname:
					'<a href="#" btn-name="shipname" target-no="' + k_order_no +'">' + ship_name + '</a>'
					,tanto:tanto
					,henko:henko_link + '&nbsp;' + delete_link
					,tuika:
					'<a href="#" btn-name="tuika" target-no="' + k_order_no +'">' + tuika + '</a>'
					,sonota:sonota_link
					});
			});
			varTable1.draw(false);
		} else {
			$("#noData").show();

		}
	}
}

function deleteKariOrder(target_no){
	var param = {
		'appname': nasiappname,
		'prgname':'A134',
		'param1': nasiappname,
		'param2': $('#user').val(),
		'param3': target_no,
		'arguments':'param1,param2,param3'
	};
	var retXml = ajaxFunction(param);
	var kekka = $(retXml).find('ret').text();
	if(kekka === 'I001' ){
		varTable1.state.clear();
		varTable1.destroy();
		$("#table1 tbody > tr").remove();
		showTable();
		searchOrderList();
	}else if(kekka === 'E001' ){
		// セッションエラーを表示
		$('#prgname').val('A040');
		$('#menuForm').submit();
	}else if(kekka === 'P001' ){
		// パラメータエラーを表示
		$('#prgname').val('A000');
		$('#menuForm').submit();
	}
}
